PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP RULE

## Name

DROP RULE -- remove a rewrite rule

## Synopsis

    DROP RULE name ON relation [ CASCADE | RESTRICT ]

## Description

`DROP RULE` drops a rewrite rule.

## Parameters

name

  The name of the rule to drop.

relation

  The name (optionally schema-qualified) of the table or view that the rule applies to.

CASCADE

  Automatically drop objects that depend on the rule.

RESTRICT

  Refuse to drop the rule if any objects depend on it. This is the default.

## Examples

To drop the rewrite rule newrule:

    DROP RULE newrule ON mytable;

## Compatibility

There is no `DROP RULE` statement in the SQL standard.

## See Also

CREATE RULE

Prev | Home | Next
DROP OPERATOR CLASS | Up | DROP SCHEMA